
IF EXISTS ( SELECT *
              FROM TELE_ETAPA_VALIDACAO  
			 WHERE CD_ETAPA_VALIDACAO = 21 
			   AND CD_ETAPA = 15 )
BEGIN 

     UPDATE TELE_ETAPA_VALIDACAO 
        SET CD_ETAPA = 1, 
            DS_ETAPA_VALIDACAO = 'AGUARDANDO RECEBIMENTO'
      WHERE CD_ETAPA_VALIDACAO = 21 
	    AND CD_ETAPA = 15;
     
      DELETE FROM TELE_TIPO_ETAPA WHERE CD_ETAPAS = 15;
END ;
